/* render_cmd.h */

/* File autogenerated by gengetopt version 2.13  */

#ifndef RENDER_CMD_H
#define RENDER_CMD_H

/* If we use autoconf.  */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef CMDLINE_PARSER_PACKAGE
#define CMDLINE_PARSER_PACKAGE "render"
#endif

#ifndef CMDLINE_PARSER_VERSION
#define CMDLINE_PARSER_VERSION "0.17"
#endif

struct gengetopt_args_info
{
  int verbosity_arg;	/* Set the verbosity level (0=quiet 10=verbose 20=bombastic) (default='0').  */
  int width_arg;	/* Width of rendered frames in pixels (default='800').  */
  int height_arg;	/* Height of rendered frames in pixels (default='600').  */
  char * basename_arg;	/* Basename to use when creating output files (default='render-frame-').  */
  char * type_arg;	/* File format to write rendered files too.  See --list for file types (default='png').  */
  char * waypoints_arg;	/* Load in waypoints from a file.  */
  float percent_arg;	/* Fraction to move between each waypoint after each frame [0..1].  It is recommended to use an even divisor of 1.0 or your animation will jump at each waypoint (default='0.1').  */
  int loop_flag;	/* loop from the last waypoint back to the first (default=off).  */
  float near_arg;	/* Near clipping plane distance (default='1.0').  */
  float far_arg;	/* Far  clipping plane distance (default='10.0').  */
  int headlight_flag;	/* Add a headlight to the camera as with simpleview (default=off).  */
  
  int help_given ;	/* Whether help was given.  */
  int version_given ;	/* Whether version was given.  */
  int verbosity_given ;	/* Whether verbosity was given.  */
  int width_given ;	/* Whether width was given.  */
  int height_given ;	/* Whether height was given.  */
  int basename_given ;	/* Whether basename was given.  */
  int list_given ;	/* Whether list was given.  */
  int type_given ;	/* Whether type was given.  */
  int waypoints_given ;	/* Whether waypoints was given.  */
  int percent_given ;	/* Whether percent was given.  */
  int loop_given ;	/* Whether loop was given.  */
  int near_given ;	/* Whether near was given.  */
  int far_given ;	/* Whether far was given.  */
  int headlight_given ;	/* Whether headlight was given.  */

  char **inputs ; /* unamed options */
  unsigned inputs_num ; /* unamed options number */
} ;

int cmdline_parser (int argc, char * const *argv, struct gengetopt_args_info *args_info);
int cmdline_parser2 (int argc, char * const *argv, struct gengetopt_args_info *args_info, int override, int initialize, int check_required);

void cmdline_parser_print_help(void);
void cmdline_parser_print_version(void);

void cmdline_parser_init (struct gengetopt_args_info *args_info);
void cmdline_parser_free (struct gengetopt_args_info *args_info);

int cmdline_parser_required (struct gengetopt_args_info *args_info, const char *prog_name);


#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* RENDER_CMD_H */
